#! /bin/bash

cd ..
mkdir uk-UA
cd uk-UA


opac=http://localhost:8008
pootle=314
branch=3.14.x

# PAGE variant
pootle_page1="uk=http://translate.koha-community.org/uk/"$pootle"/uk-UA-i-opac-t-prog-v-3006000.po/translate/#page="
pootle_page2="ru=http://translate.koha-community.org/ru/"$pootle"/ru-RU-i-opac-t-prog-v-3006000.po/translate/#page="
# "uk=http://translate.koha-community.org/uk/"$pootle"/uk-UA-i-opac-t-prog-v-3006000.po/translate/?page=|ru=http://translate.koha-community.org/ru/"$pootle"/ru-RU-i-opac-t-prog-v-3006000.po/translate/?page=" \

# LOCATION variant
# http://translate.koha-community.org/uk/312/uk-UA-i-opac-t-prog-v-3006000.po/translate/#search=opac-tmpl/prog/en/modules/opac-detail.tt:1251&sfields=locations
# pootle_page1="uk=http://translate.koha-community.org/uk/"$pootle"/uk-UA-i-opac-t-prog-v-3006000.po/translate/#sfields=locations&search="
# pootle_page2="ru=http://translate.koha-community.org/ru/"$pootle"/ru-RU-i-opac-t-prog-v-3006000.po/translate/#sfields=locations&search="

pootle_pages=$pootle_page1"|"$pootle_page2

#perl ./po_parse_location.pl \
perl ../scripts/po_parse_page.pl \
       uk-UA-i-opac-t-prog-v-3006000.po \
       "" \
       $pootle_pages \
       "http://git.koha-community.org/gitweb/?p=koha.git;nb="$branch";a=blob;f=koha-tmpl/" \
       "web.pl=opac-tmpl/prog/en/modules/>>"$opac"/cgi-bin/koha/|.tt>>.pl" \
       "git.pl=opac-tmpl/prog/en/modules/>>http://git.koha-community.org/gitweb/?p=koha.git;nb="$branch";a=blob;f=opac/|.tt>>.pl" \
       > po_parse__opac_prog_uk_localhost...LOG.txt

iceweasel uk-UA-i-opac-t-prog-v-3006000.po.html/index.html
